package CHAPTER10;

import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;

public class C10_22_JMenuExample extends JFrame {
	public C10_22_JMenuExample() {
		// JMenuBar 생성
		JMenuBar menuBar = new JMenuBar();

		// JMenu 생성
		JMenu menu = new JMenu("파일");

		JMenuItem openItem = new JMenuItem("열기");
		JMenuItem saveItem = new JMenuItem("저장");

		menu.add(openItem);
		menu.add(saveItem);

		// JMenuBar에 JMenu 추가
		menuBar.add(menu);

		// JFrame에 JMenuBar 설정
		setJMenuBar(menuBar);

		// JFrame 설정
		setTitle("JMenu와 JMenuBar를 포함한 JFrame을 생성하는 예제");
		setSize(400, 200);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setVisible(true);
	}

	public static void main(String[] args) {
		new C10_22_JMenuExample();
	}
}